#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2009                                                       #
#                                                                              #
# contact: http://pkt.sat-elita.info/                                          #
#                                                                              #
################################################################################

GDZIE=/usr/local/share

. /var/config/link
. /var/config/language.conf

#-------------------------------------------------------------------------------
#language section
#-------------------------------------------------------------------------------

if [ $lang == pl ]; then

  info1="Trwa usuwanie listy kanalow"
  info2="Trwa aktualizacja listy"
  info3="Aktualizacja zakonczona pomyslnie"
  info4="Za 5 sek nastapi restart E2"
  info5="Brak archiwum na serwerze lub problem przy sciaganiu !"

elif [ $lang == en ]; then

  info1="Deleting old channel list"
  info2="Channel list update"
  info3="Successfull update"
  info4="In 5 sek E2 will be restarted"
  info5="No archive on server or downloading error!"

elif [ $lang == de ]; then

  info1="Settings werden geloscht"
  info2="Aktualiesiere Settings"
  info3="Aktualiesieren war erfolgreich"
  info4="E2 Startet in 5 Sek. neu"
  info5="Keine Datei auf dem Server oder Fehler beim Laden !"

elif [ $lang == it ]; then

  info1="Sto cancellando la vecchia lista dei canali"
  info2="Sto aggiornando la lista dei canali"
  info3="Aggiornamente riuscito"
  info4="E2 verra' riavviato tra 5 secondi"
  info5="Nessun archivio sul server o errore durante il download!"

elif [ $lang == es ]; then
  info1="Borrando la anterior lista de canales"
  info2="Actualizando la lista de canales"
  info3="Actualizada con exito"
  info4="En 5 segundos se reiniciara E2"
  info5="No existe el archivo en el servidor o Error en la instalacion!"
     
fi    

#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

wget -P /tmp $ADRES/lista_djcrash.tar.gz 2>/dev/null   

if [ -e /tmp/lista_djcrash.tar.gz ] ; then      

    echo $info1
    echo ""
    rm $GDZIE/enigma2/userbouquet* 2>/dev/null
    rm $GDZIE/enigma2/bouquets* 2>/dev/null
    rm $GDZIE/enigma2/lamedb 2>/dev/null
    rm $GDZIE/enigma2/satellites.xml 2>/dev/null
    rm $GDZIE/enigma2/whitelist 2>/dev/null
    rm $GDZIE/enigma2/blacklist 2>/dev/null
    rm /etc/tuxbox/satellites.xml 2>/dev/null
    
    sleep 3

    echo $info2
    echo ""
    cd /
    tar -xvzf /tmp/lista_djcrash.tar.gz -C $GDZIE >/dev/null
    
    sleep 2
    
    cp $GDZIE/enigma2/satellites.xml /etc/tuxbox/satellites.xml
    rm /tmp/lista_djcrash.tar.gz

    sleep 3
    
    echo $info3
    echo ""
    echo $info4
    sync
    sleep 5
    reboot -f

else     
    echo $info5
fi

exit 0